List Stored Instruments
Lists all available stored instruments for a customer. This list will include all types of stored instruments namely card, account and bank_account instruments
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
customerId
The ID of the customer.
store_hash
Permanent ID of the BigCommerce store.
Response
OK
stored_card
Details about a stored card instrument which includes details around billing, last 4 digits, issuer, etc.
OR
stored_paypal_account
A PayPal account stored instrument.
OR
stored_bank_account
A stored bank account instrument.
Errors
401
Unauthorized Error
403
Forbidden Error